- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Ecore_Getopt Struct Reference

## Data Fields
const char * | prog
| to be used when ecore_app_args_get() fails
const char * | usage
| usage example, prog is replaced
const char * | version
| if exists, –version will work
const char * | copyright
| if exists, –copyright will work
const char * | license
| if exists, –license will work
const char * | description
| long description, possible multiline
Eina_Bool | strict: 1
| fail on errors
const Ecore_Getopt_Desc | descs []

## Detailed Description

Examples:
  ecore_thread_example.c.